{
  "name": "product-list",
  "version": "0.0.1",
  "description": "Projects",
  "keywords": [
    "loopback-application",
    "loopback"
  ],
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "engines": {
    "node": ">=10.16"
  },
  "scripts": {
    "build": "lb-tsc",
    "build:watch": "lb-tsc --watch",
    "lint": "npm run prettier:check && npm run eslint",
    "lint:fix": "npm run eslint:fix && npm run prettier:fix",
    "prettier:cli": "lb-prettier \"**/*.ts\" \"**/*.js\"",
    "prettier:check": "npm run prettier:cli -- -l",
    "prettier:fix": "npm run prettier:cli -- --write",
    "eslint": "lb-eslint --report-unused-disable-directives .",
    "eslint:fix": "npm run eslint -- --fix",
    "pretest": "npm run clean && npm run build",
    "test": "lb-mocha --allow-console-logs \"dist/__tests__\"",
    "posttest": "npm run lint",
    "test:dev": "lb-mocha --allow-console-logs dist/__tests__/**/*.js && npm run posttest",
    "docker:build": "docker build -t product-list .",
    "docker:run": "docker run -p 3001:3001 -d product-list",
    "migrate": "node ./dist/migrate",
    "openapi-spec": "node ./dist/openapi-spec",
    "prestart": "npm run build",
    "start": "node -r source-map-support/register .",
    "clean": "lb-clean dist *.tsbuildinfo .eslintcache"
  },
  "repository": {
    "type": "git"
  },
  "author": "thanathep.s <thanathep.sad@bkp.co.th>",
  "license": "",
  "files": [
    "README.md",
    "dist",
    "src",
    "!*/__tests__"
  ],
  "dependencies": {
    "@loopback/boot": "^2.5.1",
    "@loopback/core": "^2.9.5",
    "@loopback/repository": "^2.11.2",
    "@loopback/rest": "^6.2.0",
    "@loopback/rest-explorer": "^2.2.10",
    "@loopback/service-proxy": "^2.3.8",
    "tslib": "^2.0.0",
    "uuidv4": "^6.2.3"
  },
  "devDependencies": {
    "@loopback/build": "^6.2.2",
    "source-map-support": "^0.5.19",
    "@loopback/testlab": "^3.2.4",
    "@types/node": "^10.17.28",
    "@loopback/eslint-config": "^9.0.2",
    "eslint": "^7.7.0",
    "typescript": "~4.0.2"
  }
}
